Name:             glassfish-enterprise-concurrent-api
Version:          1.0
Release:          6%{dist}
Summary:          Concurrency Utilities API for Java EE
License:          CDDL or GPLv2 with exceptions
Url:              https://java.net/projects/cu-javaee

# svn export https://svn.java.net/svn/concurrency-ee-spec~source-code-repository/tags/javax.enterprise.concurrent-api-1.0 glassfish-enterprise-concurrent-api-1.0
# tar -zcvf glassfish-enterprise-concurrent-api-1.0.tar.gz glassfish-enterprise-concurrent-api-1.0
Source0:          glassfish-enterprise-concurrent-api-%{version}.tar.gz
Source1:          cddl.txt

BuildRequires:    jvnet-parent
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent
BuildRequires:    maven-local
BuildRequires:    maven-plugin-jxr
BuildRequires:    spec-version-maven-plugin
BuildRequires:    maven-checkstyle-plugin

BuildArch:        noarch

%description
API for JSR 236 - Concurrency Utilities for Java EE

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-enterprise-concurrent-api-%{version}

cp %{SOURCE1} .

%pom_remove_plugin "org.codehaus.mojo:buildnumber-maven-plugin"

# maven-checkstyle-plugin:2.12:checkstyle (default) on project javax.enterprise.concurrent-api:
# An error has occurred in Checkstyle report generation. Failed during checkstyle configuration:
# cannot initialize module TreeWalker - Token "GENERIC_END" was not found in Acceptable tokens list in check com.puppycrawl.tools.checkstyle.checks.whitespace.WhitespaceAroundCheck@3b0690 -> [Help 1]
%pom_remove_plugin :maven-checkstyle-plugin
# Fix javadoc doclint
%pom_remove_plugin :maven-javadoc-plugin
# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license cddl.txt

%files javadoc -f .mfiles-javadoc
%license cddl.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 06 2015 gil cattaneo <puntogil@libero.it> 1.0-5
- Fix FTBFS rhbz#1239531
- Remove duplicate files
- Introduce license macro

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0-3
- Removed buildnumber-maven-plugin

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-1
- Initial import


